import { deepCopy } from "@/plugins/utils";

export const select_question = {
  questionType: 1, // 2多选
  quesBody: {
    sections: [],
  },
  quesOptions: [
    {
      number: 1,
      body: {
        sections: [{ blocks: [{ type: "text", value: "黑格尔" }] }],
      },
    },
    {
      number: 2,
      body: {
        sections: [{ blocks: [{ type: "text", value: "苏格拉底" }] }],
      },
    },
  ],
  quesAnswer: [4],
  comment: { sections: [] },
};

export const boolean_question = {
  questionType: 3,
  quesBody: {
    sections: [],
  },
  quesAnswer: false,
  comment: { sections: [] },
};

export const fill_blank_question = {
  questionType: 4,
  quesBody: {
    sections: [],
  },
  quesAnswer: [
    {
      index: 1,
      sections: [{ blocks: [{ type: "text", value: "电纺丝技术" }] }],
    },
    {
      index: 2,
      sections: [{ blocks: [{ type: "text", value: "电纺丝技术" }] }],
    },
  ],
  comment: { sections: [] },
};

export const text_answer_question = {
  questionType: 5,
  quesBody: {
    sections: [],
  },
  // only one
  quesAnswer: [
    {
      index: 1,
      sections: [{ blocks: [{ type: "text", value: "电纺丝技术" }] }],
    },
  ],
  comment: { sections: [] },
};
// 完型填空/听力/阅读理解
export const reading_comprehension_question = {
  questionType: 6,
  quesBody: {
    sections: [],
  },
  comment: { sections: [] },
  subQuestions: [],
  // answer: [{ number: 1, answer: [8] }],
};

// 段落匹配/选词填空
export const banked_cloze_question = {
  questionType: 8,
  quesBody: {
    sections: [],
  },
  comment: { sections: [] },
  subQuestions: [
    // select_question
  ],
  quesOptions: [
    {
      number: 1,
      body: {
        sections: [{ blocks: [{ type: "text", value: "黑格尔" }] }],
      },
    },
    {
      number: 2,
      body: {
        sections: [{ blocks: [{ type: "text", value: "苏格拉底" }] }],
      },
    },
  ],
  param: { matchingMode: 1, matchingType: 1 },
  // 段落匹配: "param": { "matchingMode": 2, "matchingType": 2 },
  quesAnswer: [{ number: 1, answer: [8] }],
};

const models = {
  select_question,
  boolean_question,
  fill_blank_question,
  text_answer_question,
  reading_comprehension_question,
  banked_cloze_question,
};

export const getInitQuestionModel = (qtype) => {
  return deepCopy(models[qtype]);
};
